Editar una plantilla
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/{templateIdOrName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order has shipped.",
"example": {
"body_text": [
[
"Ravi"
]
]
}
}
]
}
'{
"success": true
}Plantillas
Editar una plantilla
Editar una plantilla. Consulta los parámetros, el ejemplo y las respuestas disponibles para esta operación.
POST
/
meta
/
wabas
/
{wabaId}
/
templates
/
{templateIdOrName}
Editar una plantilla
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/{templateIdOrName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order has shipped.",
"example": {
"body_text": [
[
"Ravi"
]
]
}
}
]
}
'{
"success": true
}Autorizaciones
Token bearer de Eazybe. El token identifica la organización y debe mantenerse en el servidor.
Parámetros de ruta
ID de la cuenta de WhatsApp Business devuelto por GET /meta/phone-numbers.
Usa un ID para editar y un nombre para eliminar.
Cuerpo
application/json
{
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order has shipped.",
"example": {
"body_text": [
[
"Ravi"
]
]
}
}
]
}
Show child attributes
Show child attributes
Respuesta
200 - application/json
Edit submitted (template returns to review)
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Template not editable (PENDING, or edit limit reached), or templateId unknown | Only APPROVED/REJECTED templates can be edited, max 10 edits/month |
502 | Graph unreachable or timed out | Retry with backoff |
¿Esta página le ayudó?